For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve all speech credentials for an account
      • POSTadd a speech credential
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
      • POSTget TTS from provider
      • GETlist google custom voices
      • POSTcreate a Google custom voice
      • GETretrieve google custom voice
      • PUTupdate google custom voice
      • DELdelete a google custom voice
      • POSTcreate a speech credential for a service provider
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementSpeech

retrieve all speech credentials for an account

GET
https://api.jambonz.cloud/v1/Accounts/:AccountSid/SpeechCredentials
GET
/v1/Accounts/:AccountSid/SpeechCredentials
$curl https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "account_sid": "1c2b3a4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
5 "vendor": "google",
6 "service_key": "{ \"type\": \"service_account\", \"project_id\": \"my-project-123\", \"private_key_id\": \"abcdef1234567890\", \"private_key\": \"-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASC...\\n-----END PRIVATE KEY-----\\n\", \"client_email\": \"my-service-account@my-project-123.iam.gserviceaccount.com\", \"client_id\": \"1234567890\", \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\", \"token_uri\": \"https://oauth2.googleapis.com/token\", \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\", \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/my-service-account%40my-project-123.iam.gserviceaccount.com\" }",
7 "access_key_id": "",
8 "secret_access_key": "",
9 "aws_region": "",
10 "last_used": "2024-01-15T09:30:00Z",
11 "last_tested": "2024-01-15T09:30:00Z",
12 "use_for_tts": true,
13 "use_for_stt": true,
14 "tts_tested_ok": true,
15 "stt_tested_ok": true,
16 "riva_server_uri": ""
17 }
18]
Was this page helpful?
Previous

add a speech credential

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequired

Response

retrieve speech credentials for a specified account
speech_credential_sidstringformat: "uuid"
account_sidstringformat: "uuid"
vendorenum
Allowed values:
service_keystring
access_key_idstring
secret_access_keystring
aws_regionstring
last_usedstringformat: "date-time"
last_testedstringformat: "date-time"
use_for_ttsboolean
use_for_sttboolean
tts_tested_okboolean
stt_tested_okboolean
riva_server_uristring

Errors

404
Not Found Error